$size: 66.6666vmin;

body {
	background: #0a0a0a;
}

figure {
	width: $size;
	transform: translate(calc(50vw - #{$size / 2}), calc(50vh - #{$size / 2}));
}

div {
	display: inline-block;
	padding: $size / 3 / 2;
	vertical-align: top;
	border-radius: 0 0 50% 50%;

	@for $i from 1 through 9 {
		&:nth-child(#{$i}) {
			$array: transparent, #9e0142, #d13b4b, #f0704a, #fcab63, #fedc8c, #fbf8b0,
				#e0f3a1, #aadda2, #69bda9, #4288b5, #4288b5;
			$start: nth($array, length($array) - 1);
			$middle: nth($array, $i);
			$end: nth($array, 1);

			background: conic-gradient($array);
			transform: rotate($i * 90deg) scale(0.9);
		}
	}
}
